FEM ConstraintSelfWeight/pl: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 12: Line 12:
{{GuiCommand
{{GuiCommand
|Name=FEM ConstraintSelfWeight
|Name=FEM ConstraintSelfWeight
|MenuLocation=Model → Mechanical Constraints Constraint self weight
|MenuLocation=Model → Mechanical boundary conditions and loads → Gravity load
|Workbenches=[[FEM_Workbench|FEM]]
|Workbenches=[[FEM_Workbench|FEM]]
|SeeAlso=[[FEM_tutorial|FEM tutorial]]
|SeeAlso=[[FEM_tutorial|FEM tutorial]]
Line 25: Line 25:
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:FEM_ConstraintSelfWeight.svg|16px]] [[FEM_ConstraintSelfWeight|FEM ConstraintSelfWeight]]}} button.
#* Press the {{Button|[[Image:FEM_ConstraintSelfWeight.svg|16px]] [[FEM_ConstraintSelfWeight|FEM ConstraintSelfWeight]]}} button.
#* Select the {{MenuCommand|Model → Mechanical Constraints → [[Image:FEM_ConstraintSelfWeight.svg|16px]] Constraint self weight}} option from the menu.
#* Select the {{MenuCommand|Model → Mechanical boundary conditions and loads → [[Image:FEM_ConstraintSelfWeight.svg|16px]] Gravity load}} option from the menu.
# You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
# You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.


Line 87: Line 87:
{{FEM Tools navi{{#translation:}}}}
{{FEM Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 14:01, 30 September 2023

FEM ConstraintSelfWeight

Menu location
Model → Mechanical boundary conditions and loads → Gravity load
Workbenches
FEM
Default shortcut
None
Introduced in version
-
See also
FEM tutorial

Description

Defines a gravity acceleration of 9,81 m/s^2 acting on the whole model in the prescribed direction.

Usage

  1. There are several ways to invoke the command:
    • Press the FEM ConstraintSelfWeight button.
    • Select the Model → Mechanical boundary conditions and loads → Gravity load option from the menu.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

New object:

import ObjectsFem
ObjectsFem.makeConstraintSelfWeight(name)

Add object to the analysis named Analysis:

App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [(object)]

Example:

import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight("MySelfWeightObject")
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify the .inp file to edit gravity acceleration.
  • Self-weight is applied to the element set Eall which includes the whole model.

Editing CalculiX input file

The acceleration constant can be manually edited after generating the CalculiX input file.

Example of lines in the .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is a gravity acceleration magnitude in [mm/s^2], and 0,0,-1 is the direction vector.

Solver Z88

  • not implemented in Z88 solver (March 2017)